Package org.drinkless.tdlib

# Class TdApi.LinkPreviewTypeTheme

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.LinkPreviewType
org.drinkless.tdlib.TdApi.LinkPreviewTypeTheme

Enclosing class:
  `TdApi`

public static class TdApi.LinkPreviewTypeTheme extends TdApi.LinkPreviewType
The link is a link to a cloud theme. TDLib has no theme support yet.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.LinkPreviewType

  `TdApi.LinkPreviewType.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Document[]`
  `documents`
  The list of files with theme description.
  `TdApi.ThemeSettings`
  `settings`
  Settings for the cloud theme; may be null if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkPreviewTypeTheme()`
  The link is a link to a cloud theme.
  `LinkPreviewTypeTheme(TdApi.Document[] documents, TdApi.ThemeSettings settings)`
  The link is a link to a cloud theme.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### documents

    public TdApi.Document[] documents
    The list of files with theme description.

  - ### settings

    @Nullable public TdApi.ThemeSettings settings
    Settings for the cloud theme; may be null if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### LinkPreviewTypeTheme

    public LinkPreviewTypeTheme()
    The link is a link to a cloud theme. TDLib has no theme support yet.

  - ### LinkPreviewTypeTheme

    public LinkPreviewTypeTheme(TdApi.Document[] documents, TdApi.ThemeSettings settings)
    The link is a link to a cloud theme. TDLib has no theme support yet.
    Parameters:
      `documents` - The list of files with theme description.
      `settings` - Settings for the cloud theme; may be null if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.LinkPreviewType`
    Returns:
      this.CONSTRUCTOR